Package lxml :: Module objectify :: Class ObjectifyElementClassLookup |
[frames] | no frames]

# Class ObjectifyElementClassLookup

                  object --+
                           |
    etree.ElementClassLookup --+
                               |
                              ObjectifyElementClassLookup

ObjectifyElementClassLookup(self, tree_class=None, empty_data_class=None) Element class lookup method that uses the objectify classes.

Instance Methods
__init__(self, tree_class=None, empty_data_class=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, tree_class=None, empty_data_class=None) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__